# Function create

- create(collectionId, productId, data): Promise<VariantResponse>

- Create a new variant for a collection and product (admin only).

  #### Parameters

  - collectionId: string

    Identifier of the parent collection

  - productId: string

    Identifier of the parent product

  - data: any

    Variant creation data

  #### Returns Promise<VariantResponse>

  Promise resolving to a VariantResponse object

  #### Throws

  ErrorResponse if the request fails

  - Defined in api/variant.ts:53